Create chatbot
curl --request POST \
--url https://api.chatling.ai/v2/chatbots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"template_id": 123
}
'import requests
url = "https://api.chatling.ai/v2/chatbots"
payload = {
"name": "<string>",
"template_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', template_id: 123})
};
fetch('https://api.chatling.ai/v2/chatbots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "9761342719",
"name": "My chatbot",
"version": "2.0",
"visibility": "public",
"created_at": "2024-06-17T12:00:00+00:00"
}
}
Chatbots
Create chatbot
Create a new chatbot using a template or from scratch.
POST
/
chatbots
Create chatbot
Request parameters
Body
The chatbot name.
The ID of the chatbot template to use. You can get the list of available templates using the List chatbot templates endpoint.Leave blank to create a chatbot from scratch.
Response
The status of the request. Will be
success if the request was successful, otherwise error.{
"status": "success",
"data": {
"id": "9761342719",
"name": "My chatbot",
"version": "2.0",
"visibility": "public",
"created_at": "2024-06-17T12:00:00+00:00"
}
}
⌘I

